#include <stdio.h>

#define LOG_PLAYER_TEAM "player-team\0"
#define LOG_PLAYER_ACTIVE "player-active\0"
#define LOG_PLAYER_OTHER "player-other\0"
#define LOG_BALL "ball\0"
#define LOG_POINT "point\0"
#define LOG_LINE "line\0"
#define LOG_CIRCLE "circle\0"
  
/*! This class creates log file for situations in predefined format */
class SituationsLog
{

  FILE			*log;

public:
  SituationsLog(int iPlayerNr, const char* strTeamName);
  ~SituationsLog();

  void situationBegin(const char* iType, int iTime);
  void situationEnd();
  
  // point objects
  void addObject(const char strType[], double dX, double dY, const char color[]);
  void addObject(const char strType[], double iX, double iY, const char color[], double value);
  void addObject(const char strType[], double dX, double dY);
  // line objects
  void addObject(const char strType[], double dX, double dY, double dX2, double dY2);
  void addObject(const char strType[], double dX, double dY, double dX2, double dY2, const char color[]);
  void addObject(const char strType[], double dX, double dY, double dX2, double dY2, const char color[], double value);
  // circle objects
  void addObject(const char strType[], double dX, double dY, double radius);
};
