/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

import java.util.LinkedList;

public class MetaMessage {

	private LinkedList<Double> verList = new LinkedList<Double>();

	public void addVer(double ver) {
		this.verList.add(ver);
	}

	public LinkedList<Double> getVerList() {
		return verList;
	}

	public void setVerList(LinkedList<Double> verList) {
		this.verList = verList;
	}

	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("(meta ");
		for (Double dbl : verList)
			buf.append("(ver " + dbl + ")");
		buf.append(")");
		return buf.toString();
	}

}
