/*LICENSE_BEGIN
 * ******************************************************************
 * All original parts of SoccerScope2003 have copyright (2003) by
 * Team YowAI, represented by Mr. Shuhei Shiota
 * The Department of Creative Informatics
 * The Graduate School of Information Science and Technology
 * The University of Tokyo
 * 
 * Additional classes (except libraries in /lib) were developed by 
 * the Dainamite Robocup-Team of the DAI-Labor, TU-Berlin 
 * (www.dai-labor.de)
 * 
 * Extended/new classes/packages are:
 *   soccerscope.analyzer.LogfileAnalyzer
 *   soccerscope.daistatistic.*
 *   soccerscope.daistatistic.charts.*
 *   soccerscope.daistatistic.tools.*
 *   soccerscope.db.*
 *   soccerscope.dialog.*
 *   soccerscope.model.PlayerWorldModel
 *   soccerscope.model.SimplePlayer
 *   soccerscope.net.AgentConnector
 *   soccerscope.training.*
 *   soccerscope.training.conditions.*
 * ******************************************************************
LICENSE_END*/
package soccerscope.model;

public interface SoccerObjectID {
	public final static int LEFT_1 = 0;

	public final static int LEFT_2 = 1;

	public final static int LEFT_3 = 2;

	public final static int LEFT_4 = 3;

	public final static int LEFT_5 = 4;

	public final static int LEFT_6 = 5;

	public final static int LEFT_7 = 6;

	public final static int LEFT_8 = 7;

	public final static int LEFT_9 = 8;

	public final static int LEFT_10 = 9;

	public final static int LEFT_11 = 10;

	public final static int RIGHT_1 = 11;

	public final static int RIGHT_2 = 12;

	public final static int RIGHT_3 = 13;

	public final static int RIGHT_4 = 14;

	public final static int RIGHT_5 = 15;

	public final static int RIGHT_6 = 16;

	public final static int RIGHT_7 = 17;

	public final static int RIGHT_8 = 18;

	public final static int RIGHT_9 = 19;

	public final static int RIGHT_10 = 20;

	public final static int RIGHT_11 = 21;

	public final static int BALL = 22;

	public final static int MAX_ID = 23;
}
