/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

import java.util.LinkedList;

public class IdList {

	private LinkedList<String> idList = new LinkedList<String>();

	public LinkedList<String> getIdList() {
		return idList;
	}

	public void addId(String clangVar) {
		this.idList.add(clangVar);
	}

	public String toString() {
		StringBuffer buf = new StringBuffer();

		for (String str : idList) {
			buf.append(" " + str);
		}
		if (idList.size() > 1) {
			buf.insert(1, "(");
			buf.append(")");
		}
		return buf.toString();
	}

}
