/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

import java.util.LinkedList;

public class UnumSet {

	private LinkedList<String> unumStringList = new LinkedList<String>();

	private LinkedList<Integer> unumIntList = new LinkedList<Integer>();

	public LinkedList<Integer> getUnumIntList() {
		return unumIntList;
	}

	public void setUnumIntList(LinkedList<Integer> unumIntList) {
		this.unumIntList = unumIntList;
	}

	public LinkedList<String> getUnumStringList() {
		return unumStringList;
	}

	public void setUnumStringList(LinkedList<String> unumStringList) {
		this.unumStringList = unumStringList;
	}

	public void addInteger(int i) {
		unumIntList.add(i);
	}

	public void addString(String s) {
		unumStringList.add(s);
	}

	public String toString() {
		StringBuffer buf = new StringBuffer();

		for (int intElement : this.unumIntList) {
			buf.append(" " + intElement);
		}
		for (String str : this.unumStringList) {
			buf.append(" " + str);
		}
		if (buf.length() > 0) {
			buf.insert(1, "{");
			buf.append("}");
		}

		return buf.toString();
	}

}
